% this function print in a nice way clusters from a matrix p(C|X)
% TRESHOLD determined membership to the cluster
% membership>0.9 is notated as "full" and the exact probability is not
% reported, 0.1<membership<0.9 is reported togehter with the probability
% e.g G1 (0.7) if G1 is in the current cluster with probability 0.7
function [msgA,mylegend,msgB]=IBLIB_print_clusters(myPCX,myx,myNAMES,TRESH,VERBOSE,CLUSTNAMES)
[~,idxF]=sort(myx,'descend'); %just put the more frequent tokens at the begining
if isempty(CLUSTNAMES)
    CLUSTNAMES=cell(size(myx));
end

if isempty(TRESH)
    TRESH=0.1;
end

if VERBOSE>=1
    display(sprintf('%d categories:',size(myPCX,1)));
    msgB=sprintf('%d categories: scroll to see the full list',size(myPCX,1));
end

msgA=sprintf('%d categories: scroll to see the full list',size(myPCX,1));
for I=1:size(myPCX,1),
    msgC='';
    cnt=0;
      for J=1:size(myPCX,2)  
        if cnt==1 
        
        end
        if (myPCX(I,idxF(J))>TRESH)
              cnt=cnt+1;
              if cnt==1
                  %if (myPCX(I,idxF(J))<=1.0)
                  if (myPCX(I,idxF(J))<0.9)
                    msgC=sprintf('%s(%1.1f)',myNAMES{idxF(J)},myPCX(I,idxF(J)));
                  else
                    msgC=sprintf('%s',myNAMES{idxF(J)});
                  end
              else
                  %if (myPCX(I,idxF(J))<=1.0)
                  if (myPCX(I,idxF(J))<0.9)
                    msgC=sprintf('%s, %s(%1.1f)',msgC,myNAMES{idxF(J)},myPCX(I,idxF(J)));
                  else
                    msgC=sprintf('%s, %s',msgC,myNAMES{idxF(J)});
                  end
              end
        end
      end
      
      if VERBOSE>=1
        display(sprintf('   category %d %s: %s',I,CLUSTNAMES{I},msgC));    
        msgB=sprintf('%s\n%s',msgB,sprintf('category %d %s: %s',I,CLUSTNAMES{I},msgC));
      end
      
      mylegend{I}=sprintf('category %d: %s',I,msgC);
    
      if I==1
        msgA=sprintf('%s %s',msgA,msgC);
      else
          %if length(msgC)>80
          %  msgA=sprintf('%s \\ \t\n %s',msgA,msgC);
          %else
            %msgA=sprintf('%s \\\\\n %s',msgA,msgC);
            msgA=sprintf('%s \\\\ %s',msgA,msgC);
          %end
      end
    
end %of for I=1:size(myPCX,1),

