% another version of the plot script (use within MAIN function)
SHPS={'o','h','p','h','>','<'};
SHPScc={'b','y','m','b','g','k'};
SHPSc={'o','o','o','o','o','o','o'};

display(sprintf('doing plots (if needed)...'));
if VERBOSE>=1
    figure(1);clf;
    display(sprintf('plot final graphs...'));
end

myleg=cell(NZ+2,1);
myleg{1}='maximal accuracy';
myleg{2}='Optimal curve';

for J=1:NZ,
msgn=sprintf('F_{%s}',CATZ_NAMEs{J});
myleg{J+2}=msgn;
end

if VERBOSE>=1
        hold on;
        plot(ICXs ,IYCs ,'k-','LineWidth',6);hold all;
        plot([0,max(ICXs)],[IYX IYX], 'g-','LineWidth',6);
        xlabel('I(X;C)');
        ylabel('I(Y;C)');
        title('Information plane');
    if NZ>0
        for J=1:NZ,
            plot(tICXs(J),tIYCs(J),SHPS{J},'MarkerFaceColor',SHPScc{J}, 'MarkerSize',16);hold on;
        end
    end
    title(CNAME);
    xlabel('Complexity');
    ylabel('Accuracy');
end


if VERBOSE>=1
    if NZ==0
        plot(ICXs ,IYCs ,'k-','LineWidth',6);hold all;
        plot([0,max(ICXs)],[IYX IYX], 'g-','LineWidth',6);
        xlabel('I(X;C)');
        ylabel('I(Y;C)');
        title('Information plane');
    end
    
    for I=1:length(KS)
        plot(kICXs(I),kIYCs(I),[SHPSc{I},'r'],'MarkerFaceColor','r', 'MarkerSize',12);hold on;
        h=text(kICXs(I),kIYCs(I),sprintf('%d',KS(I)),'Color',[0 0 0],'FontSize',8);
    end
end

for J=1:NZ,
            plot(tICXs(J),tIYCs(J),SHPS{J},'MarkerFaceColor',SHPScc{J}, 'MarkerSize',16);hold on;
end
myleg{NZ+3}='Optimal determinsitic k categories';
legend(myleg,'Location','SouthEast');